package com.chenyang.nse.bussiness.bean;

import com.alibaba.druid.sql.ast.SQLExpr;

public class Column {
   private String columnName;
   private String value;
   private String columnAlisa;
   private boolean isSubQuery;
   private String subAlisa;
   private String schema;
   private String table;
   private boolean isMethod;
   private SQLExpr expr;
   private String primarykey;

   public Column(String columnName, String columnAlisa, boolean isSubQuery, String subAlisa) {
      this.columnName = columnName;
      this.columnAlisa = columnAlisa;
      this.isSubQuery = isSubQuery;
      this.subAlisa = subAlisa;
   }

   public Column() {
   }

   public Column(boolean isMethod, SQLExpr expr) {
      this.isMethod = isMethod;
      this.expr = expr;
   }

   public Column(String columnName, String schema, String table) {
      this.columnName = columnName;
      this.schema = schema;
      this.table = table;
   }

   public String getColumnName() {
      return this.columnName;
   }

   public void setColumnName(String columnName) {
      this.columnName = columnName;
   }

   public boolean isSubQuery() {
      return this.isSubQuery;
   }

   public void setSubQuery(boolean subQuery) {
      this.isSubQuery = subQuery;
   }

   public String getColumnAlisa() {
      return this.columnAlisa;
   }

   public void setColumnAlisa(String columnAlisa) {
      this.columnAlisa = columnAlisa;
   }

   public String getSubAlisa() {
      return this.subAlisa;
   }

   public void setSubAlisa(String subAlisa) {
      this.subAlisa = subAlisa;
   }

   public String getValue() {
      return this.value;
   }

   public void setValue(String value) {
      this.value = value;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public String getTable() {
      return this.table;
   }

   public void setTable(String table) {
      this.table = table;
   }

   public boolean isMethod() {
      return this.isMethod;
   }

   public void setMethod(boolean method) {
      this.isMethod = method;
   }

   public SQLExpr getExpr() {
      return this.expr;
   }

   public void setExpr(SQLExpr expr) {
      this.expr = expr;
   }

   public String getPrimarykey() {
      return this.primarykey;
   }

   public void setPrimarykey(String primarykey) {
      this.primarykey = primarykey;
   }
}
